// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <limits>
#include "RectangleArea.h"
#include "CalculateArea.h"
using namespace std;

float length { 0.0 };
float width { 0.0 };

int main()
{
    cout << "Enter the length of a rectangle: ";
    cin >> length;
    cout << '\n' << "Enter the width of a rectangle: ";
    cin >> width;
    cout << '\n' << "The length is " << length << '\n';
    cout << "The width is " << width << '\n';
    cout << "The area is " << CalculateArea(length, width) << '\n';
    cin.clear();
    cin.ignore(numeric_limits<streamsize>::max(), '\n');
    cin.get();
    return 0;
}
